package com.infonline.sample;

import android.app.Application;
import android.support.annotation.NonNull;

import de.infonline.lib.IOLSession;
import de.infonline.lib.IOLSessionPrivacySetting;
import de.infonline.lib.IOLSessionType;

/**
 * Created by Dipl.-Ing. Mike Sebastian Drozd on 09.12.2017.
 * Copyright © 2017 RockAByte GmbH. All rights reserved.
 */

public class App extends Application {

    private static IOLSessionType currentSessionType;
    private static String currentUserInput;
    private static IOLSessionPrivacySetting currentPrivacySetting;

    public static IOLSessionType getCurrentSessionType() {
        return currentSessionType;
    }

    public static IOLSession getCurrentSession() {
        return IOLSession.getSessionForType(currentSessionType);
    }

    public static String getCurrentUserInput() {
        return currentUserInput;
    }

    public static IOLSessionPrivacySetting getCurrentPrivacySetting() {
        return currentPrivacySetting;
    }

    @Override
    public void onCreate() {
        super.onCreate();

        // the IOLSession needs the application context to log enterForeground & enterBackground events correctly
        IOLSession.init(this);

        // alternatively you can initialize the IOLSession directly, if you want to initialize the session directly.
        // IOLSession.getSessionForType(IOLSessionType.SZM).initIOLSession(this, "iamtest", true, IOLSessionPrivacySetting.LIN);
        // IOLSession.getSessionForType(IOLSessionType.OEWA).initIOLSession(this, "iamtest", true, IOLSessionPrivacySetting.LIN);
    }

    public void initIOLSessionType(IOLSessionType type, String customerData, @NonNull IOLSessionPrivacySetting privacySetting) {
        IOLSession.getSessionForType(type).initIOLSession("iamtest", null, customerData, BuildConfig.DEBUG, privacySetting);
        currentUserInput = customerData;
        currentSessionType = type;
        currentPrivacySetting = privacySetting;
    }

    public static void clearPrivacySetting() {
        currentPrivacySetting = null;
    }
}
