package com.infonline.sample.activities;

import android.content.Intent;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.util.Log;
import android.view.View;
import android.widget.EditText;
import android.widget.FrameLayout;

import com.infonline.sample.App;
import com.infonline.sample.R;
import com.infonline.sample.helper.PrefHelper;
import com.infonline.sample.helper.Static;

import de.infonline.lib.IOLSessionPrivacySetting;
import de.infonline.lib.IOLSessionType;

/**
 * Created by Dipl.-Ing. Mike Sebastian Drozd on 09.12.2017.
 * Copyright © 2017 RockAByte GmbH. All rights reserved.
 */

public class StartActivity extends AppCompatActivity {

    private final static String TAG = "StartActivity";

    private EditText edtUserInput;
    private FrameLayout flProgressLayout;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_start);
        flProgressLayout = findViewById(R.id.start_fl_progress_shower);
        PrefHelper.saveString(this, PrefHelper.PREF_CURRENT_SESSION_TYPE, IOLSessionType.SZM.state);

        edtUserInput = findViewById(R.id.start_edt_customer_data);
        String currentSessionType = PrefHelper.getString(this, PrefHelper.PREF_CURRENT_SESSION_TYPE);
        String customerData = PrefHelper.getString(this, PrefHelper.PREF_CURRENT_SESSION_CUSTOMER_DATA);
        Log.i(TAG, "CURRENT STATE: " + currentSessionType);
        Log.i(TAG, "CURRENT CustomerData: " + customerData);
        if (!currentSessionType.isEmpty()) {

            edtUserInput.setText(customerData);
            if (currentSessionType.equals(IOLSessionType.OEWA.state)) {
                startOEWA(null);
            } else {
                startINFO(null);
            }
        }
    }

    public void startUpMain() {
        PrefHelper.saveString(this, PrefHelper.PREF_CURRENT_SESSION_CUSTOMER_DATA, getUserInput());
//        PrefHelper.saveString(this, PrefHelper.PREF_CURRENT_SESSION_TYPE, App.getCurrentSessionType().state);
        //As requested always starting SZM
        PrefHelper.saveString(this, PrefHelper.PREF_CURRENT_SESSION_TYPE, IOLSessionType.SZM.state);

        flProgressLayout.setVisibility(View.VISIBLE);
        Static.hideKeyboard(this);

        Intent intent = new Intent(StartActivity.this, MainActivity.class);
        startActivity(intent);
        flProgressLayout.setVisibility(View.GONE);
        overridePendingTransition(android.R.anim.fade_in, android.R.anim.fade_out);
    }

    public void startOEWA(View view) {
        App application = (App) getApplication();
        application.initIOLSessionType(IOLSessionType.OEWA, getUserInput(), IOLSessionPrivacySetting.LIN);
        startUpMain();
    }

    public void startINFO(View view) {
        App application = (App) getApplication();
        application.initIOLSessionType(IOLSessionType.SZM, getUserInput(), IOLSessionPrivacySetting.LIN);
        startUpMain();
    }

    private String getUserInput() {
        return edtUserInput.getText().toString();
    }


}
